For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/site/options

get

Get join options

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
siteidintegerOptionalDefault: 0
deletedstringOptionalDefault: 0
specialstringOptionalDefault: 0
option_billerstringOptionalDefault: 0
option_biller_limitedstringOptionalDefault: 0
formattedstringOptionalDefault: 0
show_tour_customizedstringOptionalDefault: 0
option_type_idintegerOptionalDefault: 0
orderstringOptional
startintegerOptionalDefault: 0
countintegerOptional
internal_sale_onlystringOptionalDefault: 0
Responses
200

success

successbooleanOptionalExample: true
get/api/site/options
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'siteid' => '2',
		'deleted' => 1,
		'special' => 0,
		'formatted' => 0,
		'show_tour_customized' => 1,
		'option_type_id' => 0,
		'start' => 0,
		'count' => 100
	);

$request = array(
	'method' => 'GET',
	'path' => 'site/options',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "options": [
    {
      "optionid": "2",
      "siteid": "2",
      "networkid": "0",
      "deleted": "0",
      "enabled": "0",
      "orderid": "1",
      "option_type_id": "0",
      "billerid": "0",
      "programid": "0",
      "legacy": "0",
      "siteid_nice": "test site name",
      "tour_customized": 0,
      "details": {
        "name": "Join Form",
        "initial": "1",
        "initial_days": "1",
        "rebill": "30",
        "rebill_days": "30",
        "no_old_members": "0",
        "initial_dec": "$1.00",
        "rebill_dec": "$30.00",
        "trial": 1,
        "active_all": "0"
      },
      "is_gateway": 0
    }
  ],
  "site": {
    "siteid": "2",
    "networkid": "0",
    "site": "testSite",
    "deleted": "0",
    "name": "test site name",
    "type": "0",
    "hidden": "0",
    "date_added": "1559932173",
    "date_live": "0",
    "network": "0",
    "reuse_active": "0",
    "no_personal_member_info": "0",
    "mobile_tour": "0",
    "site_group_id": "0",
    "featured": "0",
    "brand_id": "0",
    "require_atvod_verification": "0",
    "atvod_client_id": "",
    "atvod_operator_id": "",
    "atvod_password": "",
    "atvod_authenticate_profile_id": "",
    "atvod_passport_profile_id": "",
    "atvod_driving_licence_profile_id": "",
    "type_nice": "Membership",
    "site_group_nice": "None"
  },
  "order": "orderid",
  "count": 100,
  "total_count": "1",
  "success": true
}

Last updated

Was this helpful?